View Issue Details

IDProjectCategoryView StatusLast Update
0000778OpenMPT[All Projects] libopenmptpublic2016-08-26 09:54
ReportermanxAssigned Tomanx 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.?? (libopenmpt 1.0) (goals)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000778: Rework libopenmpt versioning to be closer to SemVer
Description

Rework the libopenmpt versioning to be closer to SemVer. In particular, introduce a patch number in addition to major and minor, and move the revision one component lower. This requires bumping minor.
<s>Additionally, use proper SVN branches for tracking stable releases in addition to development trunk.</s>
<s>Adjust the buildbot accordingly.</s>

Additional Information

http://semver.org/

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0000852 resolvedmanx Use proper parallel maintanance and development branches 

Activities

manx

manx

2016-08-12 09:09

administrator   ~0002594

Branching and Buildbot is a separate issue.

manx

manx

2016-08-26 09:54

administrator   ~0002630

r6978

Issue History

Date Modified Username Field Change
2016-05-04 08:18 manx New Issue
2016-05-04 08:18 manx Status new => assigned
2016-05-04 08:18 manx Assigned To => manx
2016-08-08 16:57 manx Relationship added related to 0000852
2016-08-12 09:09 manx Description Updated View Revisions
2016-08-12 09:09 manx Note Added: 0002594
2016-08-12 09:10 manx Description Updated View Revisions
2016-08-26 09:54 manx Status assigned => resolved
2016-08-26 09:54 manx Resolution open => fixed
2016-08-26 09:54 manx Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-08-26 09:54 manx Note Added: 0002630